using System;
using UnityEngine;

[RequireComponent(typeof (CarController))]
public class CarUserControl : MonoBehaviour
{
	private CarController m_Car;

	private void Awake()
	{
		m_Car = GetComponent<CarController>();
	}


	private void FixedUpdate()
	{
		if (GameManager.Instance.gameOn)
		{
			float h = Input.GetAxis ("Horizontal");
			float v = Input.GetAxis ("Vertical");
			float handbrake;
			if (v > -.005 && v < .005)
				handbrake = 1f;
			else
				handbrake = 0f;

			m_Car.Move (h, v, v, handbrake);
		}
		else
			m_Car.Move (0, 0, 0, 1);
	}
}