﻿using UnityEngine;

public class Person : MonoBehaviour
{
    public GameObject blood_fx;

    protected bool _hasBeenWavedTo;
    protected bool _dead;

    public bool HasBeenWavedTo
    {
        set { _hasBeenWavedTo = value; }
    }

    public void WaveTo(Transform t)
    {
        if(_hasBeenWavedTo == false)
        {
            _hasBeenWavedTo = true;
           // transform.LookAt(t);
            GameManager.Instance.WaveAtPerson(gameObject);
            
        }
    }

    void OnCollisionEnter(Collision other)
    {
		if (other.gameObject.CompareTag ("Player") && _dead == false)
		{
			_dead = true;
			GameManager.Instance.LoseLife (true);
			GameObject.Destroy (GameObject.Instantiate (blood_fx, gameObject.transform.position, Quaternion.identity), .5f);
		}
		else if (other.gameObject.CompareTag ("Cop") && _dead == false)
		{
			_dead = true;
			GameObject.Destroy (GameObject.Instantiate (blood_fx, gameObject.transform.position, Quaternion.identity), .5f);
		}
    }
}