﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class MenuController : MonoBehaviour
{
	public GameObject[] tuts;
	private int currentTutorial;

	public void StartTutorial ()
	{
		DisplayTutorial (0);
	}

	public void NextTutorial ()
	{
		DisplayTutorial (++currentTutorial);
	}

	public void LoadGame ()
	{
		SceneManager.LoadScene (1);
	}

	private void DisplayTutorial (int index)
	{
		foreach (GameObject panel in tuts)
		{
			panel.SetActive (false);
		}
		tuts [index].SetActive (true);
	}
}