﻿using UnityEngine;
using System.Collections;

public class ViewArea : MonoBehaviour
{
    public const float WAVE_REACHARGE = 1f;
    protected float _waveRechargeTime;
	public float range = 21;

    void Update()
    {
		if(Time.time > _waveRechargeTime)
        {
            LayerMask mask = LayerMask.GetMask("People");
            for(int i = -20; i < 20; i++)
            {
                Vector3 noAngle = gameObject.transform.up;
                Quaternion spreadAngle = Quaternion.AngleAxis(-1.7f * i, new Vector3(0, 1, 0));
                Vector3 newVector = spreadAngle * noAngle;
                Ray ray = new Ray(gameObject.transform.position, newVector * range);
                Debug.DrawRay(gameObject.transform.position, newVector * range, Color.red);
                RaycastHit hit;
                if(Physics.Raycast(ray, out hit, range, mask))
                {
                    Person p = hit.collider.GetComponent<Person>();
                    if(p != null)
                    {
                        p.WaveTo(gameObject.transform);
                    }
                    
                }
            }
            _waveRechargeTime = Time.time + WAVE_REACHARGE;
            GameManager.Instance.mainUi.SetWaveRechargeTime(_waveRechargeTime);
        }
    }
}